Package org.apache.batchee.util

## Class Batches

- java.lang.Object
- - org.apache.batchee.util.Batches

-     public class Batches
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isDone​(javax.batch.operations.JobOperator jobOperator, long id)` |
    `static boolean` | `isDone​(javax.batch.runtime.BatchStatus status)` |
    `static javax.batch.runtime.BatchStatus` | `waitFor​(long id)` | Waits until the end of the `JobExecution` with the given `id` and returns the final `BatchStatus`.
    `static javax.batch.runtime.BatchStatus` | `waitFor​(javax.batch.operations.JobOperator jobOperator, long id)` | Waits until the end of the `JobExecution` with the given `id` and returns the final `BatchStatus`.
    `static void` | `waitForEnd​(long id)` |
    `static void` | `waitForEnd​(javax.batch.operations.JobOperator jobOperator, long id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### waitForEnd

          public static void waitForEnd​(long id)

    - #### waitForEnd

          public static void waitForEnd​(javax.batch.operations.JobOperator jobOperator,
                                        long id)

    - #### waitFor

          public static javax.batch.runtime.BatchStatus waitFor​(long id)

      Waits until the end of the `JobExecution` with the given `id` and returns the final `BatchStatus`.
      Parameters:
        `id` - of the `JobExecution` to wait for
      Returns:
        the final `BatchStatus` or in case of an `InterruptedException` the current `BatchStatus` will be returned.

    - #### waitFor

          public static javax.batch.runtime.BatchStatus waitFor​(javax.batch.operations.JobOperator jobOperator,
                                                                long id)

      Waits until the end of the `JobExecution` with the given `id` and returns the final `BatchStatus`.
      Parameters:
        `jobOperator` - the `to use`
        `id` - of the `JobExecution` to wait for
      Returns:
        the final `BatchStatus` or in case of an `InterruptedException` the current `BatchStatus` will be returned.

    - #### isDone

          public static boolean isDone​(javax.batch.runtime.BatchStatus status)

    - #### isDone

          public static boolean isDone​(javax.batch.operations.JobOperator jobOperator,
                                       long id)